#include <qlayout.h>
#include <qpixmap.h>
#include <qlabel.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include "aboutbox.h"
#include "guitune_logo.xpm"
#include "FB_logo.xpm"

//static const char about_text[] = "Sound Stretcher Plugin\n\n \
//By Florian Berger\n<florian.berger@jk.uni-linz.ac.at> \n\n (c) 2001";
static const char GPL_text[] = "\
This program is free software; you can redistribute it and/or modify \
it under the terms of the GNU General Public License as published by \
the Free Software Foundation; either version 2 of the License, or \
(at your option) any later version.\n\n\
This program is distributed in the hope that it will be useful, \
but WITHOUT ANY WARRANTY; without even the implied warranty of \
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the \
GNU General Public License for more details.\n\n\
You should have received a copy of the GNU General Public License \
along with this program; if not, write to the Free Software \
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, \
USA.";
static const char copy_text[] = "Copyright (C) 2001\n\
Florian Berger\n<florian.berger@jk.uni-linz.ac.at>\n\
http://www.geocities.com/harpin_floh/home.html";
static const char title_text[] = APPNAME" - "GUITUNE_VERSION_STRING;



AboutBox::AboutBox( QWidget *parent, char *name ): QWidget( parent, name )
{
    QVBoxLayout * vbox = new QVBoxLayout(this,5);  // toplevel

    QPixmap * logopix   = new QPixmap(guitune_logo_xpm);
    QPixmap * FBlogopix = new QPixmap(FB_logo_xpm);

    QLabel * logo       = new QLabel(QString(""),this);
    QLabel * FBlogo     = new QLabel(QString(""),this);
    logo  ->setPixmap(*logopix);
    FBlogo->setPixmap(*FBlogopix);

    QLabel * titlelabel = new QLabel(QString(title_text),this);
    QLabel * copylabel  = new QLabel(QString(copy_text),this);

    QHBoxLayout * copyhbox  = new QHBoxLayout((QWidget*)0,5);
    copyhbox->addStretch(1);
    copyhbox->addWidget(FBlogo,0);
    copyhbox->addWidget(copylabel,0);
    copyhbox->addStretch(1);

    QMultiLineEdit * scrolltext = new QMultiLineEdit(this);
    scrolltext->insertLine(GPL_text);
    scrolltext->setReadOnly(true);
    scrolltext->setCursorPosition(0,0);
    scrolltext->setWordWrap(QMultiLineEdit::WidgetWidth);

    QHBoxLayout * logobox  = new QHBoxLayout((QWidget*)0,5);
    QHBoxLayout * titlelabelbox  = new QHBoxLayout((QWidget*)0,5);
    logobox->addStretch(1);
    logobox->addWidget(logo,0);
    logobox->addStretch(1);
    titlelabelbox->addStretch(1);
    titlelabelbox->addWidget(titlelabel,0);
    titlelabelbox->addStretch(1);

    vbox->addLayout(logobox,0);
    vbox->addLayout(titlelabelbox,0);
    vbox->addLayout(copyhbox,0);
    vbox->addWidget(scrolltext,1);

    QPushButton * button = new QPushButton("Close",this);
    connect(button,SIGNAL(clicked()),this,SLOT(close()));
    vbox->addWidget(button,0);

    vbox->activate();
}

AboutBox::~AboutBox()
{
}
